use std::fs::File;
use std::io::ErrorKind;

fn main() {
    let f = File::open("foo.md");
    let f = match f {
        Ok(file) => file,
        // Err(error) => {
        //     panic!("Error open file {:?}", error);  // Error open file Os { code: 2, kind: NotFound, message: "No such file or directory" }
        // }

        Err(error) => match error.kind() {
            ErrorKind::NotFound => match File::create("foo.md") {
                Ok(fc) => fc,
                Err(error) => panic!("create file err: {:?}", error),
            },
            o => panic!("err: {:?}", o),
        },
    };

    println!("{:?}", f);
}
